GSS_EXPORT_NAME(3)

NAME
gss_export_name - Convert an MN to export form

SYNOPSIS
#include <gssapi/gssapi.h>
OM_uint32
gss_export_name(OM_uint32 *minor_status, const gss_name_t input_name, gss_buffer_t exported_name);

DESCRIPTION
To produce a canonical contiguous string representation of a mechanism name (MN), suitable for direct comparison (e.g. with memcmp) for use in authorization functions (e.g. matching entries in an access-control list). The input_name parameter must specify a valid MN (i.e. an internal name generated by gss_accept_sec_context() or by gss_canonicalize_name().)

PARAMETERS

minor_status
    Mechanism specific status code.

input_name
    The MN to be exported.

exported_name
    The canonical contiguous string form of input_name. Storage associated with this string must freed by the application after use with gss_release_buffer().

RETURN VALUES

GSS_S_COMPLETE
    Successful completion

GSS_S_NAME_NOT_MN
    The provided internal name was not a mechanism name.

GSS_S_BAD_NAME
    The provided internal name was ill-formed.

GSS_S_BAD_NAMETYPE
    The internal name was of a type not supported by the GSS-API implementation.

SEE ALSO
gss_accept_sec_context(3), gss_canonicalize_name(3), gss_release_buffer(3)

STANDARDS

RFC 2743
    Generic Security Service Application Program Interface Version 2, Update 1

RFC 2744
    Generic Security Service API Version 2 : C-bindings

HISTORY
The gss_export_name function first appeared in FreeBSD 7.0.

AUTHORS
John Wray, Iris Associates

COPYRIGHT
Copyright (C) The Internet Society (2000). All Rights Reserved.

This document and translations of it may be copied and furnished to others, and derivative works that comment on or otherwise explain it or assist in its implementation may be prepared, copied, published and distributed, in whole or in part, without restriction of any kind, provided that the above copyright notice and this paragraph are included on all such copies and derivative works. However, this document itself may not be modified in any way, such as by removing the copyright notice or references to the Internet Society or other Internet organizations, except as needed for the purpose of developing Internet standards in which case the procedures for copyrights defined in the Internet Standards process must be followed, or as required to translate it into languages other than English.

The limited permissions granted above are perpetual and will not be revoked by the Internet Society or its successors or assigns.

This document and the information contained herein is provided on an "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.